Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class SystemPropertiesRestoreRule

    java.lang.Object
      org.apache.lucene.util.SystemPropertiesRestoreRule

All Implemented Interfaces:
  org.junit.rules.TestRule

    public class SystemPropertiesRestoreRule

extends Object
implements org.junit.rules.TestRule

Restore system properties from before the nested `Statement`.

Constructor Summary
`SystemPropertiesRestoreRule()` Restores all properties.
`SystemPropertiesRestoreRule(Set<String> ignoredProperties)`
`SystemPropertiesRestoreRule(String... ignoredProperties)`

Method Summary
`org.junit.runners.model.Statement` | `apply(org.junit.runners.model.Statement s, org.junit.runner.Description d)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemPropertiesRestoreRule

    public SystemPropertiesRestoreRule()

  Restores all properties.

### SystemPropertiesRestoreRule

    public SystemPropertiesRestoreRule(Set<String> ignoredProperties)

Parameters:
  `ignoredProperties` - Properties that will be ignored (and will not be restored).

### SystemPropertiesRestoreRule

    public SystemPropertiesRestoreRule(String... ignoredProperties)

Parameters:
  `ignoredProperties` - Properties that will be ignored (and will not be restored).

Method Detail

### apply

    public org.junit.runners.model.Statement apply(org.junit.runners.model.Statement s,
                                                   org.junit.runner.Description d)

  Specified by:
    `apply` in interface `org.junit.rules.TestRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD